petsc-3.15.0 2021-03-30
Report Typos and Errors

# DMSetFieldAvoidTensor

Set flag to avoid defining the field on tensor cells

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMSetFieldAvoidTensor(DM dm, PetscInt f, PetscBool avoidTensor)

Logically collective on dm

### Input Parameters

| dm | - The DM
| f | - The field index
| avoidTensor | - The flag to avoid defining the field on tensor cells

### See Also

DMGetFieldAvoidTensor(), DMSetField(), DMGetField()

### Level

intermediate

### Location

src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages